chiark / gitweb /
remove block-capitals from autoack emails [Todal request]
[modbot-uram.git] / stump / etc / modack.received.INO
index e030affddb0ca2ff965a61a5d9e9dc1978a68903..851dca64e1170530494b793805732da1da3ddebc 100755 (executable)
@@ -1,4 +1,7 @@
-#!/bin/sh
+#!/bin/bash
+
+set -e
+set -o pipefail
 
 TMPFILE=$TMP/reply.$$
 
@@ -7,12 +10,12 @@ cat > $TMPFILE
 (
   formail -rt -I "Reply-To: $NOACK" \
         -I "X-Webstump-Event: ack" \
-       -I 'Bcc: %OURUSER%+%ABBREV%-internal-log+mailout' \
+       $MAILOUT_RECVACK_FORMAIL_ARGS \
      < $TMPFILE
   cat <<_EOB_
 Hello,
 
-This is an automatic acknowledgement that your message has been RECEIVED
+This is an automatic acknowledgement that your message has been received
 by the robomoderation program for newsgroup $NEWSGROUP. 
 
 This message has been queued and will be reviewed by the moderators
@@ -20,15 +23,16 @@ as necessary, and you will receive another email when a decision
 about your article has been made.
 
 If you do not want to receive automatic acknowledgments in the future,
-simply reply to this message, QUOTING ITS TEXT IN FULL.
+simply reply to this message, quoting its text in full.
 
 For details of the moderation arrangements see
     %GROUPURL%
 
 _EOB_
 
-  sed 's/^/> /; s/%OURUSER%+[-+/0-9a-z]*@%DOMAIN%/%OURUSER%+?@%DOMAIN%/' \
+  sanitise_and_quote_email \
       < $TMPFILE
+
 ) | sendmail -t -f $MUNGED_ADDRESS
 
 rm $TMPFILE